//! The chosen winning profile for an account+product when assigned profiles
//! collide on that product.

pub use crate::models::_entities::account_product_resolutions::{
    ActiveModel, Column, Entity, Model,
};
use sea_orm::entity::prelude::*;

pub type AccountProductResolutions = Entity;

#[async_trait::async_trait]
impl ActiveModelBehavior for ActiveModel {
    async fn before_save<C>(self, _db: &C, _insert: bool) -> std::result::Result<Self, DbErr>
    where
        C: ConnectionTrait,
    {
        Ok(self)
    }
}
